## libkf5mailimporter 20.08.1

=== debian/changelog ===
libkf5mailimporter (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:02:07 +0100

libkf5mailimporter (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.
  * New build depend on libkf5pimcommon-dev.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Aug 2020 09:57:01 +0100
